package info.aspirecn.iov.yysj.product.check.common;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.client.loadbalancer.LoadBalanced;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.client.ClientHttpRequestInterceptor;
import org.springframework.web.client.RestTemplate;
import java.util.List;

@Configuration
@Slf4j
public class RestTemplateConfigurate {
	@Autowired
	TraceIdInterceptor traceIdInterceptor;
	@Bean(name = "getRestTemplate")
	//@LoadBalanced
	public RestTemplate getRestTemplate() {
		// 把自定义的ClientHttpRequestInterceptor添加到RestTemplate，可添加多个
		 RestTemplate restTemplate =  new RestTemplate();
		List<ClientHttpRequestInterceptor> interceptors =  restTemplate.getInterceptors();
		for(ClientHttpRequestInterceptor interceptor : interceptors){
			log.info("interceptor:{}",interceptor);
		}
		interceptors.add(traceIdInterceptor);
		restTemplate.setInterceptors(interceptors);
		return restTemplate;
	}
}
