package info.aspirecn.iov.yysj.product.check.common;

import info.aspirecn.cloud.yysj.commons.lang.Constants;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import java.io.IOException;
import java.util.*;

@Component
@Slf4j
public class TransferParam {
    @Autowired
    private Property property;
    public Map<String,String> getCustomBody( Map<String, Object> paramMap,String productId,List<String> emptyList) throws IOException {
        Map customBody =null;
        Map<String,String> productMap = property.getProductMap();
        if (productMap.get("qyyyxkyz_jyxkzh").equals(productId)) {//企业经营许可验证  经营许可证号

            customBody=qyyyxkyz_jyxkzh(paramMap,emptyList);
        }else if (productMap.get("qyyyxkyz_tyshdm").equals(productId)) {//企业经营许可验证   统一社会代码

            customBody=qyyyxkyz_tyshdm(paramMap,emptyList);
        }else if (productMap.get("clxszyz").equals(productId)) {//车辆行驶证

            customBody=clxszyz(paramMap);
        }else if (productMap.get("ryjszyz").equals(productId)) {//人员驾驶证

            customBody=ryjszyz(paramMap);
        }else{
            customBody = paramMap;
        }
        return customBody;
    }
    public Map<String,String> clxszyz(Map<String,Object> requestMap) throws IOException {


        Map<String, String> vehicleInfoMap = new HashMap<String, String>();
        vehicleInfoMap.put(Constants.clxszyz_carNumber, (String)requestMap.get(Constants.clxszyz_carNumber));
        vehicleInfoMap.put(Constants.clxszyz_carType, (String) requestMap.get(Constants.clxszyz_carType));
        vehicleInfoMap.put(Constants.clxszyz_name, (String) requestMap.get(Constants.clxszyz_name));
        return vehicleInfoMap;
    }
    public Map<String,String> ryjszyz(Map<String,Object> requestMap) throws IOException {
        Map<String, String> vehicleInfoMap = new HashMap<String, String>();
        vehicleInfoMap.put(Constants.ryjszyz_name, (String)requestMap.get(Constants.ryjszyz_name));
        vehicleInfoMap.put(Constants.ryjszyz_driveNo, (String) requestMap.get(Constants.ryjszyz_driveNo));
        return vehicleInfoMap;
    }
    public Map<String,String> qyyyxkyz_jyxkzh(Map<String,Object> requestMap,List<String> emptyList) throws IOException {
        String carrier=(String)requestMap.get(Constants.bill_carrier);
        String permitNumber=(String)requestMap.get(Constants.bill_permitNumber);
/*        String permitValidPeriodFrom=requestMap.get(Constants.bill_permitValidPeriodFrom);
        String permitValidPeriodTo=requestMap.get(Constants.bill_permitValidPeriodTo);*/
        String provinceCode =(String)requestMap.get("provinceCode");

            Map<String, String> vehicleInfoMap = new HashMap<String, String>();
            vehicleInfoMap.put(Constants.qyyyxkz_carrier, carrier);
            vehicleInfoMap.put(Constants.qyyyxkz_permitNumber, permitNumber);
            vehicleInfoMap.put(Constants.qyyyxkz_provinceCode, provinceCode);
  /*      vehicleInfoMap.put(Constants.clyyyz_periodStartDate, permitValidPeriodFrom);
        vehicleInfoMap.put(Constants.clyyyz_periodEndDate, permitValidPeriodTo);*/
            return vehicleInfoMap;
    }
    public Map<String,String> qyyyxkyz_tyshdm(Map<String,Object> requestMap,List<String> emptyList) throws IOException {
        String carrier=(String)requestMap.get(Constants.bill_carrier);
      //  String unifiedSocialCreditIdentifier=requestMap.get(Constants.bill_unifiedSocialCreditIdentifier);
            Map<String, String> vehicleInfoMap = new HashMap<String, String>();
            vehicleInfoMap.put(Constants.qyyyxkz_name, carrier);
           // vehicleInfoMap.put(Constants.qyyyxkz_creditCode, unifiedSocialCreditIdentifier);
            return vehicleInfoMap;
        }



}
